-- used to highlight friendly units in team muliplayer

KingHighlight = {
	idPlayerEntityId=nil,					--
	thisvisible=0,
}

-------------------------------------------------------
function KingHighlight:OnInit()
	self:LoadObject( "Objects/multiplayer/teamSign/kteamsign.cgf", 0, 2 );		-- slot 0, scale 1

	self:SetViewDistUnlimited();		-- do not fade out object - no matter how far away it is
	self:NetPresent(nil);
end

-------------------------------------------------------
function KingHighlight:OnShutDown()
	if Server and self.idPlayerEntityId then
		Server:RemoveEntity(self.idKingHighlight);
			
		local player = System:GetEntity(self.idPlayerEntityId);
		
		if player then
			player.idKingHighlight=nil;
		end
		
		self.idPlayerEntityId=nil;
	end
end


-------------------------------------------------------
function KingHighlight:OnUpdate( DeltaTime )
	if not self.idPlayerEntityId then
		return																-- player to follow was not set yet
	end
	
	-- update might be one frame behind

	local player = System:GetEntity(self.idPlayerEntityId);
	
	if player then
	
		local iVisible=self.thisvisible;
	
		if _localplayer then
			if _localplayer.id==player.id then
				--iVisible = 0;
			elseif Game:GetEntityTeam(_localplayer.id)~=Game:GetEntityTeam(self.idPlayerEntityId) then
				iVisible = 0;
			end
		end
		if player.cnt.vip then
--			System:LogAlways(player.cnt.vip.." -vip ");
--			if (player.cnt.vip < 2) then
--				--iVisible = 0;
--			end
		else
			iVisible = 0;
		end

		local pos=new(player:GetPos());
		pos.z = pos.z + 2.0;

		self:SetPos(pos);
		--iVisible=1;
		--System:LogAlways("king "..self.thisvisible);

		self:DrawObject( 0, iVisible );		-- slot 0
	end
end


--------------------------------------------------------------------------------------------------------
-- get "follow this player" command
function KingHighlight:OnRemoteEffect(toktable, pos, normal, userbyte)
	if count(toktable)==2 then
	 	self.idPlayerEntityId=tonumber(toktable[2]);
	end
end