--Can give either a random decision or a timer with random min and max time.
--by aarbro [aarbro@hotmail.com]

Randomizer = {

	Editor = {
		Model="Objects/EXP/Editor/editor_random.cgf",
	},

	Properties = {
		fChance = 50.0,
		Timer = {fMin = 30.0, fMax = 60.0}, --time in seconds
		bRepeatTimer = 0, --starts a new timer with a new random time when the previous one is finished
	},
	
	timer = 0,
};
-------------------------------------------------------------------------------
function Randomizer:OnPropertyChange()
	self:OnReset();
end
-------------------------------------------------------------------------------

function Randomizer:OnInit()
	self:OnReset();
end
-------------------------------------------------------------------------------

function Randomizer:OnReset()

end
-------------------------------------------------------------------------------
function Randomizer:OnShutDown()
end
-------------------------------------------------------------------------------


function Randomizer:OnSave(stm)
end
-------------------------------------------------------------------------------

function Randomizer:OnLoad(stm)
end
-------------------------------------------------------------------------------

function Randomizer:Event_Randomize()
	if ( random() * 100 < self.Properties.fChance ) then
		BroadcastEvent(self, "True");
	else
		BroadcastEvent(self, "False");
	end
end
-------------------------------------------------------------------------------
function Randomizer:Event_True()
end
-------------------------------------------------------------------------------
function Randomizer:Event_False()
end
-------------------------------------------------------------------------------
function Randomizer:Event_StartTimer()
	self.timer = random() * ( self.Properties.Timer.fMax - self.Properties.Timer.fMin ) + self.Properties.Timer.fMin;
	self:SetTimer( self.timer * 1000 );
end
-------------------------------------------------------------------------------
function Randomizer:Event_EndTimer()
	self:KillTimer();
end
-------------------------------------------------------------------------------

function Randomizer:OnTimer()
	BroadcastEvent(self, "EndTimer");
	if (self.Properties.bRepeatTimer == 1 ) then
		self:Event_StartTimer();
	end
end


