
Script:LoadScript("scripts/default/entities/weapons/BaseHandGrenade.lua");


local param={
	deform_terrain=1,
	model="Objects/Indoor/props/cafeteria/bottle_beer1_breakable.cgf",
	AIBouncingSound = {
		SoundRadius  = AIWeaponProperties.GrenadeBounce.VolumeRadius,
		Interest = AIWeaponProperties.GrenadeBounce.fInterest,
		Threat = AIWeaponProperties.GrenadeBounce.fThreat,
	},
	AIExplodingSound = {
		SoundRadius  = AIWeaponProperties.HandGrenade.VolumeRadius,
		Interest = AIWeaponProperties.HandGrenade.fInterest,
		Threat = AIWeaponProperties.HandGrenade.fThreat,
	},
	AITargetType = AIOBJECT_ATTRIBUTE,
	AITargetType_ALTERNATE = AIAnchor.AIOBJECT_DAMAGEGRENADE,

	hit_effect = "fire_explosion1",	
	explode_effect = "fire_explosion1",	
	matEffect = "fire_explosion1",	
	damage_on_player_contact = 1,

	explode_on_hold=1,
	explode_underwater = 1,
	explode_on_contact = 1,
	explodeOnContact = 1,

	PhysParams = {
		flags = particle_traceable,
		mass = 0.5,
		size = 0.2,
		heading = {},
		initial_velocity = 25,
		k_air_resistance = 0.5,
		w = {x=1, y=3, z=5},
		acc_thrust = 0,
		acc_lift = 0,
		surface_idx = -1,
		gravity = {x=0, y=0, z=-8 },
		collider_to_ignore = nil,
		water_gravity={x=0, y=0, z=-2 },
		k_water_resistance = 4.0,
		pierceability = 15,
		min_bounce_vel = 16,
	},

	ExplosionParams = {
		pos = {},
		damage = 200,
		damage_type = "healthonly",
		rmin = 2, -- in physical pressure calculations, if something is closer than rmin, it's treated as if it were at rmin
		rmax = 7, --
		radius = 7, -- in physics impulsive_pressure means pressure at this radius
		DeafnessRadius = 8.0,
		DeafnessTime = 10.0,
		impulsive_pressure = 100,
		shooter = nil,
		weapon = nil,
		rmin_occlusion=0.2,
		occlusion_res=32,
		occlusion_inflate=2,
	    iImpactForceMulFinalTorso=100,
	},
};

ImpactGrenade=CreateHandGrenade(param);
