UI.PageServerAdmin=
{
    LevelList={},       -- { missionname1={}, missionname2={}, }
    
    GUI =
    {   
        ServerAdminText=
        {
            skin = UI.skins.Label,
            
            left = 200, top = 110,
            width = 122, 
            halign = UIALIGN_LEFT,
            
            text = "Server Admin";
        },
        
        ServerIPText=
        {
            skin = UI.skins.Label,
            
            left = 350, top = 110,
            width = 50, height = 24,
            
            fontsize = 11,
            text = "Server IP";
        },
        
        ServerIP=
        {
            skin = UI.skins.EditBox,
            
            left = 405, top = 110,
            width = 100, height = 24,
            
            tabstop = 1,
            
            fontsize = 11,
            
            maxlength = 26,
        },

        RCONPasswordText=
        {
            skin = UI.skins.Label,
            
            left = 510, top = 110,
            width = 65, height = 24,
            fontsize = 11,
            text = "RCON Password";      
        },
        
        RCONPassword=
        {
            skin = UI.skins.EditBox,
            
            left = 580, top = 110,
            width = 100, height = 24,
            
            fontsize = 12,
            fontsize = 11,
            tabstop = 2,
            maxlength = 28,
        },
        
        RCONLogin=
        {
            skin = UI.skins.TopMenuButton,
            
            text = "RCON Login",
            
            left = 680, top = 110,
            width = 100, height = 24,
            
            tabstop = 3,
            fontsize = 11,
            
            OnCommand = function(Sender)
                local GUI = UI.PageServerAdmin.GUI;

                local szServerName = GUI.ServerIP:GetText();
                local szRCONPassword = GUI.RCONPassword:GetText();

                setglobal("cl_rcon_serverip", szServerName);
                setglobal("cl_rcon_password", szRCONPassword);
            end            
        },

        RCONServerNameText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 145,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Server Name";
        },
        
        RCONServerName=
        {
            skin = UI.skins.EditBox,
            
            left = 300, top = 145,
            width = 210, height = 24,
            
            fontsize = 11,
            
            tabstop = 4,
                     
        },

        ChangeServerName=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set Name",
            
            tabstop = 5,
            fontsize = 11,
            
            left = 515, top = 145,
            width = 85, height = 24,
            
            OnCommand = function(Sender)
                local NewServerName = UI.PageServerAdmin.GUI.RCONServerName:GetText();
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_name "..NewServerName);
			end
            end            
        },
        
        
        RCONSetPasswordText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 174,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Server Password";
        },
        
        RCONSetPassword=
        {       
            skin = UI.skins.EditBox,

            left = 300, top = 174,
            width = 120, height = 24,

            fontsize = 11,            
            
            tabstop = 8,
        },
        
        SetServerPassword=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 9,
            fontsize = 11,
            
            left = 425, top = 174,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_password "..UI.PageServerAdmin.GUI.RCONSetPassword:GetText());
			end
            end,           
        },
        
        RemoveServerPassword=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Remove",
            
            tabstop = 10,
            fontsize = 11,
            
            left = 470, top = 174,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_password ".."\"".."0".."\"");
			end
            end,           
        },
        
        ShowServerPassword=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Show Password",
            
            tabstop = 12,
            fontsize = 11,
            
            left = 515, top = 174,
            width = 85, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_password");
			end
                System:ShowConsole(1);
            end            
        },        
        
        RCONPlayerListText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 203,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Player ID";
        },
        
        RCONPlayerList=
        {       
            skin = UI.skins.EditBox,

            left = 300, top = 203,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 13,
        },
        
        
        KickPlayer=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Kick",
            
            tabstop = 15,
            fontsize = 11,
            
            left = 381, top = 203,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
                local PlayerToKick = UI.PageServerAdmin.GUI.RCONPlayerList:GetText();
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("kickid "..PlayerToKick);
			end
                System:ShowConsole(1);
            end,
        },
        
        
        RCONMODListText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 232,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Map Type";
        },
        
        RCONMODList=
        {
            skin = UI.skins.ComboBox,
            
            left = 300, top = 232,
            width = 120, height = 24,
            
            buttonsize = 15,
            
            maxitems = 5,
            fontsize = 11, 
            
            tabstop = 17,

            vscrollbar=
            {
                skin = UI.skins.VScrollBar,
            },      
            
            OnChanged = function(Sender)
                UI.PageServerAdmin.PopulateRCONMapList();
                
                if (UI.PageServerAdmin.GUI.RCONMapList:GetItemCount()) then
                
                    if (getglobal(gr_NextMap)) then
                        UI.PageServerAdmin.GUI.RCONMapList:Select(tostring(gr_NextMap));
                        
                        if (not UI.PageServerAdmin.GUI.RCONMapList:GetSelection()) then
                            UI.PageServerAdmin.GUI.RCONMapList:SelectIndex(1);
                        end
                    else
                        UI.PageServerAdmin.GUI.RCONMapList:SelectIndex(1);
                    end
                end
            end,
        },        
        
        RCONMapListText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 261,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Map Name";
        },
        
        RCONMapList=
        {
            skin = UI.skins.ComboBox,
            
            left = 300, top = 261,
            width = 120, height = 24,
            
            buttonsize = 15,
            
            maxitems = 5,
            fontsize = 11,
            
            tabstop = 18,
            
            vscrollbar=
            {
                skin = UI.skins.VScrollBar,
            },           
        },

        ChangeMap=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Change Map",
            
            tabstop = 19,
            fontsize = 11,
            
            left = 425, top = 261,
            width = 55, height = 24,
            
            OnCommand = function(Sender)
                local NewMapName = UI.PageServerAdmin.GUI.RCONMapList:GetSelection();
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_changemap "..NewMapName);
			end
            end            
        },
        
        RestartMap=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Restart Map",
            
            tabstop = 20,
            fontsize = 11,
            
            left = 485, top = 261,
            width = 55, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("sv_restart");
			end
            end            
        },
        
        
        RCONRespawnTimeText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 290,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Respawn Time (sec)";
        },
        
        RCONRespawnTime=
        {       
            skin = UI.skins.EditBox,

            left = 300, top = 290,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 22,
        },
        
        SetRespawnTime=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 23,
            fontsize = 11,
            
            left = 341, top = 290,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_RespawnTime "..UI.PageServerAdmin.GUI.RCONRespawnTime:GetText());
			end
            end,           
        },
        
        RCONMapTimeText=
        {
            skin = UI.skins.Label,
            
            left = 175, top = 319,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Map Time (min)";
        },
        
        RCONMapTime=
        {       
            skin = UI.skins.EditBox,

            left = 300, top = 319,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetMapTime=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 341, top = 319,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("gr_TimeLimit "..UI.PageServerAdmin.GUI.RCONMapTime:GetText());
			end
            end,           
        },

        RCONLockTimeText=
        {
            skin = UI.skins.Label,
            
            left = 395, top = 290,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Time to Lockdown (s)";
        },
        
        RCONLockTime=
        {       
            skin = UI.skins.EditBox,

            left = 520, top = 290,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetLockTime=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 561, top = 290,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("gr_Lockdowntime "..UI.PageServerAdmin.GUI.RCONLockTime:GetText());
			end
            end,           
        },

        RCONFortStartText=
        {
            skin = UI.skins.Label,
            
            left = 395, top = 319,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "# Gold Start";
        },
        
        RCONFortStart=
        {       
            skin = UI.skins.EditBox,

            left = 520, top = 319,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetFortStart=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 561, top = 319,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_FortScoreStart "..UI.PageServerAdmin.GUI.RCONFortStart:GetText());
			end
            end,           
        },

        RCONFortEndText=
        {
            skin = UI.skins.Label,
            
            left = 395, top = 345,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "# Gold End";
        },
        
        RCONFortEnd=
        {       
            skin = UI.skins.EditBox,

            left = 520, top = 345,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetFortEnd=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 561, top = 345,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_FortScoreEnd "..UI.PageServerAdmin.GUI.RCONFortEnd:GetText());
			end
            end,           
        },

        RCONGamePerMapText=
        {
            skin = UI.skins.Label,
            
            left = 395, top = 371,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "# GamePerMap";
        },
        
        RCONGamePerMap=
        {       
            skin = UI.skins.EditBox,

            left = 520, top = 371,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetGamePerMap=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 561, top = 371,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_GamePerMap "..UI.PageServerAdmin.GUI.RCONGamePerMap:GetText());
			end
            end,           
        },

	  RCONKingTimerText=
        {
            skin = UI.skins.Label,
            
            left = 395, top = 397,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Crown Expire (s)";
        },
        
        RCONKingTimer=
        {       
            skin = UI.skins.EditBox,

            left = 520, top = 397,
            width = 34, height = 24,

            fontsize = 11,            
            
            tabstop = 24,
        },
        
        SetKingTimer=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 561, top = 397,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_KingTimer "..UI.PageServerAdmin.GUI.RCONKingTimer:GetText());
			end
            end,           
        },


	  EnableKingRespawnText=
        {
            skin = UI.skins.Label,


            left = 395, top = 423,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "King Respawn Enabled";
        },
        
        EnableKingRespawn=
        {
            skin = UI.skins.CheckBox,
            left = 520, top = 423,
            width = 24, height = 24,
            
            tabstop = 39,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gr_KingRespawn 1");
                else
                    Game:ExecuteRConCommand("gr_KingRespawn 0");
                end
			end
            end,
        },
            
        FriendlyFireText=
        {
            skin = UI.skins.Label,

            left = 175, top = 345,
            width = 120, height = 24,

            
            fontsize = 11,
            
            text = "Enable Friendly Fire";
        },
        
        FriendlyFire=
        {
            skin = UI.skins.CheckBox,


            left = 300, top = 345,
            width = 24, height = 24,
            
            tabstop = 34,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gr_friendlyfire 1");
                else
                    Game:ExecuteRConCommand("gr_friendlyfire 0");
                end
			end
            end,
        },
        

        
        
        EnableBlueTeamText=
        {
            skin = UI.skins.Label,


            left = 175, top = 371,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "Enable Blue Team";
        },
        
        EnableBlueTeam=
        {
            skin = UI.skins.CheckBox,
            left = 300, top = 371,
            width = 24, height = 24,
            
            tabstop = 39,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gl_unlock blue");
                else
                    Game:ExecuteRConCommand("gl_lock blue");
                end
			end
            end,
        },
        
        EnableRedTeamText=
        {
            skin = UI.skins.Label,
            left = 175, top = 397,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "Enable Red Team";
        },
        
        EnableRedTeam=
        {
            skin = UI.skins.CheckBox,
            left = 300, top = 397,
            width = 24, height = 24,
            
            tabstop = 40,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gl_unlock red");
                else
                    Game:ExecuteRConCommand("gl_lock red");
                end
			end
            end,
        },

        EnableRedTeamText=
        {
            skin = UI.skins.Label,
            left = 175, top = 397,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "Enable Red Team";
        },
        
        EnableRedTeam=
        {
            skin = UI.skins.CheckBox,
            left = 300, top = 397,
            width = 24, height = 24,
            
            tabstop = 40,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gl_unlock red");
                else
                    Game:ExecuteRConCommand("gl_lock red");
                end
			end
            end,
        },

	 EnableStopWatchText=
        {
            skin = UI.skins.Label,


            left = 175, top = 423,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "StopWatch Enabled";
        },
        
        EnableStopWatch=
        {
            skin = UI.skins.CheckBox,
            left = 300, top = 423,
            width = 24, height = 24,
            
            tabstop = 39,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gr_stopwatch 1");
                else
                    Game:ExecuteRConCommand("gr_stopwatch 0");
                end
			end
            end,
        },

	 EnableQuickReturnText=
        {
            skin = UI.skins.Label,


            left = 175, top = 449,
            width = 120, height = 24,
            
            fontsize = 11,
            
            text = "Quick Return Enabled";
        },
        
        EnableQuickReturn=
        {
            skin = UI.skins.CheckBox,
            left = 300, top = 449,
            width = 24, height = 24,
            
            tabstop = 39,
            
            OnChanged = function(self)
			if (getglobal("cl_rcon_password") ~= "") then
                if(self:GetChecked()) then
                    Game:ExecuteRConCommand("gr_FortQuickReturn 1");
                else
                    Game:ExecuteRConCommand("gr_FortQuickReturn 0");
                end
			end
            end,
        },


        
        ListBans=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "List Banned Players",
            
            tabstop = 41,
            fontsize = 11,
            left = 485, width = 147,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("listban");
			end
                System:ShowConsole(1);
            end            
        },
        
        ListActivePlayers=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "List Active Players",
            
            tabstop = 42,
            fontsize = 11,
            left = 634, width = 147,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
	                Game:ExecuteRConCommand("listplayers");
			end
                System:ShowConsole(1);
            end            
        },

        ClassesText=
        {
            skin = UI.skins.Label,

            left = 570, top = 150,
            width = 102, height = 29,

            
            fontsize = 11,
            
            text = "Classes:  ";
        },
        
        Mutacto=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Mutacto",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 150,
            width = 75, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_mutacto");
			end
			end
            end            
        },

        Hutacto=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Hutacto",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 185,
            width = 75, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_hutacto");
			end
			end
            end            
        },

        GTypeText=
        {
            skin = UI.skins.Label,

            left = 570, top = 220,
            width = 102, height = 25,

            
            fontsize = 11,
            
            text = "GameTypes:  ";
        },

        King=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "King",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 220,
            width = 75, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_king");
			end
			end
            end            
        },

        Plunder=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Plunder",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 255,
            width = 75, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_plunder");
			end
			end
            end            
        },
        
        Assault=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Assault",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 290,
            width = 75, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_assault");
			end
			end
            end            
        },
        
        Anni=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Annihilation",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 660, top = 325,
            width = 95, height = 25,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_anni 4");
			end
			end
            end            
        },

        nextflag=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Next Flag",
            
            tabstop = 19,
            fontsize = 13,
            
            left = 670, top = 365,
            width = 75, height = 20,
            
            OnCommand = function(Sender)
			if (Client) then
			if (getglobal("cl_rcon_password") ~= "") then
				Game:ExecuteRConCommand("gr_nextflag");
			end
			end
            end            
        },


	RCONClassPermitText=
        {
            skin = UI.skins.Label,
            
            left = 630, top = 400,
            width = 120, height = 24,
            
            fontsize = 11,
            text = "Allowed Classes (binary)",
        },
        
        RCONClassPermit=
        {       
            skin = UI.skins.EditBox,

            left = 650, top = 423,
            width = 64, height = 24,

            fontsize = 16,            
            
            tabstop = 24,
        },
        
        SetClassPermit=
        {
            skin = UI.skins.BottomMenuButton,
            
            text = "Set",
            
            tabstop = 25,
            fontsize = 11,
            
            left = 715, top = 423,
            width = 40, height = 24,
            
            OnCommand = function(Sender)
			if (getglobal("cl_rcon_password") ~= "") then
                Game:ExecuteRConCommand("gr_NumClass "..UI.PageServerAdmin.GUI.RCONClassPermit:GetText());
			end
            end,           
        },

    
        OnActivate = function(Sender)
            UI.PageServerAdmin.GUI.RCONMODList:Clear();

            for name, MOD in AvailableMODList do
                UI.PageServerAdmin.GUI.RCONMODList:AddItem(name);
            end
            UI.PageServerAdmin.RefreshLevelList();

            UI.PageServerAdmin.RefreshWidgets();
        end,

        OnUpdate = function(Sender)
            
        end,
    },
       
    PopulateRCONMapList = function()
        local szMOD = UI.PageServerAdmin.GUI.RCONMODList:GetSelection();
        
        UI.PageServerAdmin.GUI.RCONMapList:Clear();
        if (szMOD) then
            local szMission = AvailableMODList[strupper(szMOD)].mission;
            
            for i, szLevelName in UI.PageServerAdmin.LevelList[szMission] do
                UI.PageServerAdmin.GUI.RCONMapList:AddItem(szLevelName);
            end
        end
        
        UI.PageServerAdmin.GUI.RCONMapList:SelectIndex(1);
    end,
    
    RefreshLevelList = function()
        UI.PageServerAdmin.LevelList = {};
        
        -- create the tables
        for name, MOD in AvailableMODList do
            local szMission = MOD.mission;
            
            UI.PageServerAdmin.LevelList[szMission] = {};
        end

        -- request level list from game 
        local LevelList = Game:GetLevelList();
    
        -- go through all the levels
        for LevelIndex, Level in LevelList do
            -- all mission names
            for MissionIndex, MissionName in Level.MissionList do
                -- get the mission names that are supported, and insert them in the appropriate table
                for name, AvailableMOD in AvailableMODList do
                    local szMission = AvailableMOD.mission;
            
                    if (strlower(MissionName) == strlower(szMission)) then
                        tinsert(UI.PageServerAdmin.LevelList[szMission], Level.Name);
                        -- tinsert adds a "n" key, so we just remove it here
                        UI.PageServerAdmin.LevelList[szMission].n = nil;
                        break;
                    end
                end
            end
        end
    end,

    RefreshWidgets = function()
        local GUI = UI.PageServerAdmin.GUI;

        if (g_GameType and (g_GameType ~= "Default")) then
            GUI.RCONMODList:Select(g_GameType);
        else
            GUI.RCONMODList:SelectIndex(1);
        end 
        GUI.RCONMODList.OnChanged(GUI.RCONMODList);
        
        if (getglobal("gr_NextMap")) then
            GUI.RCONMapList:Select(getglobal("gr_NextMap"));
        else
            GUI.RCONMapList:SelectIndex(1);
        end
        
        GUI.RCONPassword:SetText(getglobal("cl_rcon_password"));
        GUI.RCONServerName:SetText(g_LastServerName);

        if (g_LastIP ~= nil) then
            GUI.ServerIP:SetText(g_LastIP);
        end
    end,
}

AddUISideMenu(UI.PageServerAdmin.GUI,
{
    { "MainMenu", Localize("MainMenu"), "$MainScreen$", 0},
    { "Options", Localize("Options"), "Options", },
});

UI:CreateScreenFromTable("ServerAdmin", UI.PageServerAdmin.GUI);
